Subject: Building kernel for more than one SoC

From: [email-masked] (Grant Edwards)
Date: Mon, 11 Aug 2014 20:43:35 +0000 (UTC)

On 2014-08-11, Robert Nelson <[email-masked]> wrote:
>> Now it's up to somebody else to decide if the price difference between
>> a G20 and G25 is worth the engineering time to upgrade U-Boot and
>> Linux kernel to versions that know about device trees...
>
> http://cateee.net/lkddb/web-lkddb/ARM_APPENDED_DTB.html

Interesting.  That would still require modifying U-Boot so that at
run-time it detects the SoC type and appends the proper DTB to the
kernel image, but it that may be less work than "real" DTB support in
U-Boot.

-- 
Grant Edwards               grant.b.edwards        Yow! Now KEN and BARBIE
                                  at               are PERMANENTLY ADDICTED to
                              gmail.com            MIND-ALTERING DRUGS ...